
<style>
    .table thead tr >th{
        background-color: #0c586a;
        color:#fff;
    }
    .table thead tr th[class*='sorting_'] {
        color: #FFFFFF;
    }
    .bg-master-lighter {
        border:none;
        background-color:#fff;
        border-top:1px solid #ddd; 

    }
    .btn-default{
        border: none;
        background-color: #eee;
    }
    .btn-default:hover{
        background-color:#2f879c !important;
        color:#fff;
        border: none;
    }
    .p-0{
        padding:0!important;
    }
    .main-div{

        background: #0c586a;
        padding: 10px;
        border-radius: 6px;
        margin-bottom: 10px;

    }
</style>


<div class="container-fluid container-fixed-lg bg-white">
    <div class="panel panel-transparent">
        <div class="panel-heading">
            <div class="panel-title"> <?php print CommonLanguage::getMessage('create_dynamic_report'); ?></div>

            <div class="clearfix"></div>
        </div>
        <div class="panel-body">
            <?php
            if ($permissions->hasPermission('add_dynamic_report')) {
                echo Forms::FloatingAddButton('0c586a', '#add_report', CommonLanguage::getMessage('add'));
            }
            ?>
            <table class="table table-bordered table-hover demo-table-search" id="tableWithSearch" >
                <thead>
                    <tr>
                        <th class="text-center" style="width:15%" ><?php print CommonLanguage::getMessage('Name'); ?></th>
                        <th class="text-center" style="width:15%" ><?php print CommonLanguage::getMessage('Action'); ?></th>
                    </tr>
                </thead>
                <tbody>
                </tbody>
            </table>
        </div>



    </div>
</div>
<div class="modal fade" data-backdrop="static" id="add_report" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel" aria-hidden="true">
    <div class="modal-dialog " style="width:90%;" >
        <div class="modal-content">
            <div class="modal-header clearfix text-left">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true"><i class="pg-close fa-22"></i></span></button>
                <h4 class="modal-title"><?php print CommonLanguage::getMessage('create_dynamic_report') ?></h4>
                <div id="assigAlert"></div>
            </div>
            <div class="modal-body">
                <form id="assigForm">
                    <div class="row form-group">
                        <div class=" col-md-12 m-t-10 " >
                            <div class=" col-md-6 m-t-10 " >
                                <label class="labelText"><?php print CommonLanguage::getMessage('Name'); ?><span class="red-star">*</span></label>
                                <input type="text" class="form-control" id="report_name" name="report_name" required/>
                            </div>
                            <div class=" col-md-6 m-t-10 " >
                                <label class="labelText"><?php print CommonLanguage::getMessage('roles'); ?><span class="red-star">*</span></label>
                                <input type="hidden" class="full-width" id="role_ids" name="role_ids" required/>
                            </div>

                        </div>
                        <div class=" col-md-12 m-t-10 " >
                            <div class=" col-md-6 m-t-10 " >
                                <label class="labelText"><?php print CommonLanguage::getMessage('currency'); ?><span class="red-star">*</span></label>
                                <input type="hidden" class="full-width" id="currency_id" name="currency_id" required/>
                            </div>
                            <div class=" col-md-6 m-t-10 " >
                                <label class="labelText"><?php print CommonLanguage::getMessage('type'); ?><span class="red-star">*</span></label>
                                <select id="type" class="full-width" data-init-plugin="select2">
                                    <option value="0"><?php echo CommonLanguage::getMessage('All') ?></option>
                                    <option value="1"><?php echo CommonLanguage::getMessage('only_totals') ?></option>
                                    <option value="2"><?php echo CommonLanguage::getMessage('only_details') ?></option>
                                </select>                            
                            </div>

                        </div>
                        <div class=" col-md-12 m-t-10 " >
                            <div class=" col-md-6 m-t-10 "style="display:grid;" >
                                <label><?php echo CommonLanguage::getMessage('show_menu') . ' ?' ?></label>
                                <input type="checkbox" id="show_menu" />
                            </div>
                            <div class=" col-md-6 m-t-10 "style="display:grid;" >
                                <label><?php echo CommonLanguage::getMessage('hide_unmoved') . ' ?' ?></label>
                                <input type="checkbox" id="is_hide_unmoved" />
                            </div>
                        </div>
                    </div>
                    <div class="row">

                        <div id="row-divs">
                            <div class="main-div row m-t-15 form-group">
                                <div class="col-md-11 inner-div">
                                    <div class="col-md-6">
                                        <label style="color:white !important;"><?php echo CommonLanguage::getMessage('title') ?><span class="red-star">*</span></label>
                                        <input type="text" class="form-control full-width sub_title"/>
                                    </div>
                                    <div class="col-md-12">
                                        <div class="col-md-2 form-group" >
                                            <label style="color:white !important;"><?php print CommonLanguage::getMessage('type'); ?><span class="red-star">*</span></label>
                                        </div>
                                        <div class="col-md-2 form-group" >
                                            <label style="color:white !important;"><?php print CommonLanguage::getMessage('account'); ?><span class="red-star">*</span></label>
                                        </div>
                                        <div class="col-md-2 form-group" >
                                            <label style="color:white !important;"><?php print CommonLanguage::getMessage('title'); ?></label>
                                        </div>
                                        <div class="col-md-2 form-group" >
                                            <label style="color:white !important;"><?php print CommonLanguage::getMessage('operation'); ?><span class="red-star">*</span></label>
                                        </div>
                                        <div class="col-md-1 form-group" >
                                            <label style="color:white !important;"><?php print CommonLanguage::getMessage('with_child'); ?><span class="red-star">*</span></label>
                                        </div>
                                        <div class="col-md-2 form-group" >
                                            <label style="color:white !important;"><?php print CommonLanguage::getMessage('types'); ?></label>
                                        </div>

                                    </div>
                                    <div class="col-md-12 row-item">
                                        <div class="col-md-2 form-group" >
                                            <select class="sub_type full-width" data-init-plugin="select2">
                                                <option value="0"><?php echo CommonLanguage::getMessage('select') ?></option>
                                                <option value="1"><?php echo CommonLanguage::getMessage('Account') ?></option>
                                                <option value="2"><?php echo CommonLanguage::getMessage('block') ?></option>
                                            </select>
                                        </div>
                                        <div class="col-md-2 form-group" >
                                            <input type="hidden" class="full-width account_id" />
                                        </div>
                                        <div class="col-md-2 form-group" >
                                            <input type="text" class="form-control account_title" />
                                        </div>
                                        <div class="col-md-2 form-group" >
                                            <select class="full-width operation" data-init-plugin="select2">
                                                <option value=""><?php echo CommonLanguage::getMessage('Select') ?></option>
                                                <option value="+">+</option>
                                                <option value="-">-</option>
                                            </select>
                                        </div>
                                        <div class="col-md-1 form-group" >
                                            <input type="checkbox" class=" with_child" />
                                        </div>
                                        <div class="col-md-2 form-group" >
                                            <select  class="full-width trans_type" multiple  data-init-plugin="select2">
                                                <option value="inv"><?php echo CommonLanguage::getMessage('invoice') ?></option>
                                                <option value="pur"><?php echo CommonLanguage::getMessage('purchase') ?></option>
                                                <option value="pay"><?php echo CommonLanguage::getMessage('payment') ?></option>
                                                <option value="rec"><?php echo CommonLanguage::getMessage('receipt') ?></option>
                                                <option value="mjv"><?php echo CommonLanguage::getMessage('manual_jv') ?></option>
                                                <option value="exp"><?php echo CommonLanguage::getMessage('expense') ?></option>
                                                <option value="rin"><?php echo CommonLanguage::getMessage('return_invoice') ?></option>
                                                <option value="rpr"><?php echo CommonLanguage::getMessage('return_purchase') ?></option>
                                                <option value="dwt"><?php echo CommonLanguage::getMessage('deposit_withdrawal') ?></option>
                                                <option value="cre"><?php echo CommonLanguage::getMessage('credit_note') ?></option>
                                                <option value="deb"><?php echo CommonLanguage::getMessage('debit_note') ?></option>
                                            </select>
                                        </div>
                                        <div class="col-md-1 add-row">
                                            <span style="color:white !important;" class="sub_add fa fa-plus-circle" style="color:#2f879c;margin-top:15px;margin-right:25px"></span>
                                            <span style="color:white !important;" class="sub_delete fa fa-minus-circle" style="color:#2f879c;margin-top:15px;"></span>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-1 add-main-div">
                                    <span style="color:white !important;" class="main_add fa fa-plus-circle" style="color:#2f879c;margin-top:15px;margin-right:25px"></span>
                                    <span style="color:white !important;" class="main_delete fa fa-minus-circle" style="color:#2f879c;margin-top:15px;"></span>
                                </div>
                            </div>
                        </div>

                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal"><?php print CommonLanguage::getMessage('Close') ?></button>
                <button type="button" class="btn bg-complete white" id="assignBtn" style="width:auto"><?php print CommonLanguage::getMessage('Save') ?></button>
            </div>
        </div>
    </div>
</div>

<script>
    var title = <?php echo json_encode(CommonLanguage::getMessage('create_dynamic_report')); ?>,
            Submitted_Successfully = <?php echo json_encode(CommonLanguage::getMessage('Submitted_Successfully')); ?>,
            Required_Fields = <?php echo json_encode(CommonLanguage::getMessage('Required_Fields')); ?>,
            Failed_Submit = <?php echo json_encode(CommonLanguage::getMessage('Failed_Submit')); ?>;
    var IsEdit = false, IDToEdit = 0;
    $(function () {
        build_select2($('input.account_id'), 'xhr/allAccountsSearch')
        build_select2($("#role_ids"), "xhr/CommonSearch?col_id=Role_ID&col_name=Role_Name&table=tbl_common_roles", 1)
        build_select2($("#currency_id"), "xhr/CurrencySearch")

        $(".floatingContainer").on("click", function () {
            $(".row-item:gt(0)").remove()
            $(".main-div:gt(0)").remove()
            $('input.account_id').val("").attr("data-select-name", "")
            $("select.trans_type").val([]).select2()
            build_select2($('input.account_id'), 'xhr/allAccountsSearch?empty=1')
            $("select.operation").val("").select2()
            $("#show_menu").prop("checked", false)
            $("#is_hide_unmoved").prop("checked", false)
            IsEdit = false;
            IDToEdit = 0;
        })
        RebuildDataTable(title, [0], "ACCAjax/dynamic_report_ajax")
        $("#row-divs").on("change", 'select.sub_type', function () {
            var parent = $(this).parents('.row-item');
            $('input.account_id', parent).val("").attr("data-select-name", "")
            var url = $(this).val() == 1 ? 'xhr/allAccountsSearch' : 'xhr/search_dynamic_blocks';
            build_select2($('input.account_id', parent), url)
            if ($(this).val() != 1) {
                $("select.trans_type", parent).val([]).prop('readonly', true).select2()
            } else {
                $("select.trans_type", parent).prop('readonly', false).select2()
            }
        })
        $("#row-divs").on("click", " .add-row .sub_add", function (e) {
            $("#row-divs  .sub_delete").css("display", "inline-block")
            var Parent = $(this).parents(".row-item"), NewItem = Parent.clone().insertAfter(Parent);
            NewItem.find("input").val('');
            $(".select2-container", NewItem).empty().remove()
            $('input.with_child', NewItem).prop("checked", false)
            $('input.account_id', NewItem).val("").attr("data-select-name", "")
            $('select.sub_type', NewItem).val(0).select2()
            $('select.trans_type', NewItem).val(0).select2()
            build_select2($('input.account_id', NewItem), 'xhr/allAccountsSearch?empty=1')
            $("select.operation", NewItem).val("").select2()
            $(".select2-container", NewItem).show()

        })
        $("#row-divs").on("click", ".add-row .sub_delete", function (e) {
            var main_div = $(this).parents('.main-div');
            if ($(".row-item", main_div).length == 1) {
                $('input.account_id', main_div).val("").attr("data-select-name", "")
                build_select2($('input.account_id', main_div), 'xhr/allAccountsSearch?empty=1')
                $("select.operation", main_div).val("").select2()
                $("select.sub_type", main_div).val("").select2()
                $("input.with_child", main_div).prop("checked", false)
            } else {
                $(this).parents(".row-item").empty().remove();
            }
        })


        $("#row-divs").on("click", " .add-main-div .main_add", function (e) {
            $("#row-divs  .add-main-div .main_delete").css("display", "inline-block")
            var Parent = $(this).parents(".main-div"), NewItem = Parent.clone().insertAfter(Parent);
            $(".row-item:gt(0)", NewItem).empty().remove()
            NewItem.find("input").val('');
            $(".select2-container", NewItem).empty().remove()
            $('select.sub_type', NewItem).val(0).select2()
            $('select.trans_type', NewItem).val('').select2()
            $('input.account_id', NewItem).val("").attr("data-select-name", "")
            build_select2($('input.account_id', NewItem), 'xhr/allAccountsSearch?empty=1')
            $("select.operation", NewItem).val("").select2()
            $(".select2-container", NewItem).show()

        })
        $("#row-divs").on("click", ".main_delete", function (e) {
            if ($(".main-div").length == 1) {
                $('input').val("")
                $(".row-item:gt(0)").empty().remove()
                $('input.account_id').val("").attr("data-select-name", "")
                build_select2($('input.account_id'), 'xhr/allAccountsSearch')
                $("select.operation").val("").select2()
            } else {
                $(this).closest(".main-div").empty().remove();
            }
        })
        $("#assignBtn").on("click", function () {
            var validate = true;
            if ($("#report_name").val() == '' || $("#role_ids").val() == '' || $("#currency_id").val() == '') {
                validate = false;
            }
            var data = {
                report_name: $("#report_name").val(),
                role_ids: $("#role_ids").val(),
                currency_id: $("#currency_id").val(),
                type: $("#type").val(),
                is_edit: (IsEdit ? 1 : 0),
                report_id: IDToEdit,
                show_menu: $("#show_menu").is(":checked") ? 1 : 0,
                is_hide_unmoved: $("#is_hide_unmoved").is(":checked") ? 1 : 0,
                sub: []
            };


            $("#row-divs .main-div").each(function () {
                if ($(this).find("input.sub_title").val() != '') {
                    var sub_accounts = [];

                    $(".row-item", $(this)).each(function () {
                        if ($(this).find("input.account_id").val() != '' && $(this).find("select.operation").val() != "") {

                            sub_accounts.push({
                                account_id: $(this).find("input.account_id").val(),
                                operation: $(this).find("select.operation").val(),
                                sub_type: $(this).find('select.sub_type').val(),
                                trans_type: $(this).find('select.trans_type').val(),
                                detail_sub_title: $(this).find('input.account_title').val(),
                                with_child: $(this).find("input.with_child").is(":checked") ? 1 : 0
                            })
                        } else {
                            validate = false;
                        }
                    })
                    data.sub.push({
                        sub_title: $(this).find("input.sub_title").val(),
                        accounts: sub_accounts
                    })

                } else {
                    validate = false;
                }
            })

            if (!validate || data.sub.length == 0) {
                $("#assigAlert").attr("class", "alert alert-danger").html(Required_Fields)
                return false;
            }
            $.ajax({
                url: "ACCAjax/add_edit_dynamic_report",
                method: "POST",
                data: data,
                complete: function (v1, v2) {
                    if (v2 == "success" && v1.responseText == 'OK') {
                        $("#assigAlert").attr("class", "alert alert-success").html(Submitted_Successfully)
                        RebuildDataTable(title, [0], "ACCAjax/dynamic_report_ajax")
                        setTimeout(function () {
                            $("#assigAlert").addClass('hidden')
                            $("#add_report").modal("hide")
                        }, 5000)
                    } else {
                        $("#assigAlert").attr("class", "alert alert-danger").html(Failed_Submit)
                    }
                }
            })

        })

        $("#tableWithSearch").on("click", ".delete", function () {
            var entry_value = $(this).parents('.Action').attr('data-id');
            var data = {
                id: entry_value
            };
            IncludeDeleteModal(common_delete_modal, data, function () {
                RebuildDataTable(title, [0], "ACCAjax/dynamic_report_ajax")

            }, "ACCAjax/delete_dynamic_report");
        })

        $("#tableWithSearch tbody").on('click', '.Edit', function () {
            IsEdit = true;
            IDToEdit = $(this).parents('.Action').attr('data-id');
            $.ajax({
                url: "ACCAjax/get_dynamic_report_by_id",
                method: "GET",
                dataType: 'json',
                data: {id: IDToEdit},
                complete: function (v1, v2) {
                    if (v2 == "success") {
                        console.log('v1.responseJSON')
                        console.log(v1.responseJSON['role_ids'])
                        console.log(typeof v1.responseJSON['role_ids'])
                        var data = v1.responseJSON['main'],
                                details = v1.responseJSON['details'];
                        $("#report_name").val(data['report_name'])
                        $("#currency_id").val(data['Currency_ID']).attr("data-select-name", (data['Currency_Name'] + ' - ' + data['Currency_Code']))
                        build_select2($("#currency_id"), "xhr/CurrencySearch")
                        $("#type").val(data['type']).select2()
                        $('#role_ids').select2('val', []);
                        $('#role_ids').data().select2.updateSelection(v1.responseJSON['role_ids']);
                        $("#show_menu").prop("checked", data['show_menu'] == 1 ? true : false)
                        $("#is_hide_unmoved").prop("checked", data['is_hide_unmoved'] == 1 ? true : false)
                        $(".row-item:gt(0)").remove()
                        $(".main-div:gt(0)").remove()
                        var x = 0;
                        $.each(details, function (index, sub_data) {
                            var current_div = '';
                            if (x == 0) {
                                current_div = $(".main-div:eq(0)");
                                $("input.sub_title", current_div).val(sub_data['sub_title'])
                            } else {
                                current_div = $(".main-div:eq(0)").clone();
                                $(".row-item:gt(0)", current_div).empty().remove()
                                current_div.find("input").val('');
                                $(".select2-container", current_div).empty().remove()
                                $('input.account_id', current_div).val("").attr("data-select-name", "")
                                build_select2($('input.account_id', current_div), 'xhr/allAccountsSearch')
                                $("select.operation", current_div).val("").select2()
                                $("select.sub_type", current_div).val(0).select2()
                                $("select.trans_type", current_div).val('').select2()

                                current_div.find("input.sub_title").val(sub_data['sub_title'])
                                current_div.appendTo($("#row-divs"))
                                $(".select2-container", current_div).show()



                            }
                            var y = 0, accounts = sub_data['accounts'];
                            $.each(accounts, function (index, value) {
                                if (y == 0) {
                                    $(".row-item:eq(0) input.account_id", current_div).val(value['sub_type'] == 1 ? value['account_id'] : value['detail_sub_id']).attr("data-select-name", (value['sub_type'] == 1 ? value['account_name'] : value['sub_title']))
                                    var url = value['sub_type'] == 1 ? 'xhr/allAccountsSearch' : 'xhr/search_dynamic_blocks';
//                                build_select2($(".row-item:eq(0) input.account_id"), url)                        
                                    build_select2($(".row-item:eq(0) input.account_id", current_div), url)
                                    $(".row-item:eq(0) select.operation", current_div).val(value['operation']).select2()
                                    $(".row-item:eq(0) select.sub_type", current_div).val(value['sub_type']).select2()
                                    $(".row-item:eq(0) select.trans_type", current_div).val(value['trans_types']).select2()
                                    $(".row-item:eq(0) input.account_title", current_div).val(value['detail_sub_title'])
                                    $(".row-item:eq(0) input.with_child", current_div).prop("checked", value['with_child'] == 1 ? true : false)
                                    if (value['sub_type'] != 1) {
                                        $(".row-item:eq(0) select.trans_type", current_div).val([]).prop('readonly', true).select2()
                                    } else {
                                        $(".row-item:eq(0) select.trans_type", current_div).prop('readonly', false).select2()
                                    }
                                } else {
                                    var item = $(".row-item:eq(0)", current_div).clone();
                                    $(".select2-container", item).empty().remove()
                                    item.find("input.account_id").val(value['sub_type'] == 1 ? value['account_id'] : value['detail_sub_id']).attr("data-select-name", (value['sub_type'] == 1 ? value['account_name'] : value['sub_title']))
                                    var url = value['sub_type'] == 1 ? 'xhr/allAccountsSearch' : 'xhr/search_dynamic_blocks';

                                    build_select2(item.find("input.account_id"), url)
                                    item.find("select.operation").val(value['operation']).show().select2()
                                    item.find("select.sub_type").val(value['sub_type']).show().select2()
                                    item.find("select.trans_type").val(value['trans_types']).show().select2()
                                    item.find("input.account_title").val(value['detail_sub_title'])
                                    item.find("input.with_child").prop("checked", value['with_child'] == 1 ? true : false)
                                    if (value['sub_type'] != 1) {
                                        item.find("select.trans_type").val([]).prop('readonly', true).select2()
                                    } else {
                                        item.find("select.trans_type").prop('readonly', false).select2()
                                    }
                                    item.appendTo($(".inner-div",current_div))
                                    $(".select2-container", item).show()




                                }
                                y++;
                            });
                            x++;
                        });
                    }
                }
            })

            $("#add_report").modal("show")

        })


    })





</script>
