<?php 
if (is_numeric($id) && $check_lock != '') { ?>
    <div class="alert alert-danger" role="alert">
        <button class="close" data-dismiss="alert"></button>
        <strong>Danger: </strong><?php echo $check_lock ?>
    </div>
    <?php
    return;
}
?>
<style type="text/css">
    #DeductionTable thead tr th {
        color:#555;
        border-bottom: 1px solid rgba(0,0,0,0.1);
    }
    #DeductionTable tbody tr td input{
        width:100%;
        margin:0;
        border: 1px solid rgba(0,0,0,0.02);
        background-color:#e5e5e5;
    }
    #DeductionTable tbody tr td {
        border:0;
        padding:3px 1px;
        position:relative;
    }
    #DeductionTable tbody tr:first-child td{
        padding-top:10px;
    }
    #InvoiceDiscountInput{
        display: inline-block;
        width: 40px;
        padding: 3px;
        line-height: 20px;
        background: rgb(250, 250, 250);
        min-height: 12px;
        text-align: center;
        height: 25px;
        font-size: 12px;
        top: -2px;
        position: relative;
        margin: 0 3px;
    }
    #DeductionTable .Hint{
        position: absolute;
        font-size: 10px;
        font-weight: bold;
        height: 20px;
        line-height: 20px;
        bottom: 2px;
        right: 4px;
        color: rgb(153, 153, 153);   
    }
    #DeductionTable .TotalTD{
        width: auto;
        display: inline-block;
        text-align: center;
        font-size: 20px;
        font-weight: bold;
    }
    #DeductionTable .Disc{
        width:50px;
    }
    #DeductionTable input.wrong{
        border: 1px solid rgba(255, 0, 0, 0.2);
        background: rgba(255, 0, 0, 0.05);
    }
    .DropDownForForms > .dropdown-menu{
        width:100%;
        height:200px;
        max-height:200px;
        overflow-y:scroll;
    }
    .DropDownForForms > .dropdown-menu{
        height:auto;
        cursor: pointer;
        overflow-y:auto;
    }
    .DropDownForForms > button{
        position:relative;
        z-index:999;
    }
    .DropDownForForms > button > input{
        position: absolute;
        left:5;
        top: 0;
        width:90%;
        cursor: pointer;
        -webkit-user-select:none;
        -moz-user-select:none;
        user-select:none;
        padding: 0;
        border: 0;
        background: transparent;
    }
    .Disabled{
        cursor:default;
        opacity:0.5;
    }
    #AdvanceValue{
        width: 102px;
        display: inline-block;
    }
    .datepicker thead tr .dow {

        color:#0c586a!important;

    }
    .datepicker table tr td.day:hover {
        background: #0c586a!important;
        color:#fff;
    }
    .datepicker table tr td.active {
        background-color: #0c586a!important;
    }
    .datepicker thead tr .datepicker-switch {
        color: #0c586a !important;
        font-size: 13px;
    }
    .datepicker table tr td span.active {
        background-color: #0c586a!important;
    }
    .datepicker table tr td span:hover {
        background-color: #0c586a!important;
        color:#fff;
    }
    datepicker thead tr .next:before, .datepicker thead tr .prev:before {
        color: #0c586a!important;
        font-family: 'FontAwesome';
        font-size: 10px;
    }
    .datepicker thead tr .next:before, .datepicker thead tr .prev:before {
        color: #0c586a!important;
        font-family: 'FontAwesome';
        font-size: 10px;
    }

    .input-group-addon 
    {
        background-color:#0c586a !important;
        color:#fff;
    }
</style>
<?php echo Forms::ModalLoader('DeductionDisabler') ?>
<form method="POST" action="" onsubmit="return false" id="DeductionForm">
    <div class="container-fluid container-fixed-lg">
        <div class="panel panel-default">
            <div class="panel-body">
                <div id="DeductionSuccess" class="hidden"></div>
                <div class="invoice padding-50 sm-padding-10">
                    <div class="container-sm-height">
                        <div class="row-sm-height">
                            <div class="col-md-9 col-sm-height sm-no-padding">

                                <h2 class="font-montserrat all-caps hint-text"> <?php echo CommonLanguage::getMessage($IsBonus ? 'add_bonus' : 'add_deduction'); ?> </h2>

                                <br>
                            </div>
                            <div class="col-md-4 col-sm-height col-bottom sm-no-padding sm-p-b-20" style="vertical-align: top;">
                                <div class="sm-m-t-20">

                                    <h4><?php echo CommonLanguage::getMessage($IsBonus ? 'bonus_nb' : 'deduction_nb'); ?> <?php echo (!empty($data['Entry_id']) ? $data['Entry_id']: ($Number_ID ? ($Number_ID+1) : 1))  ?></h4>
                                </div>
                                <div  class="form-group form-group-default input-group">
                                    <label><?php print CommonLanguage::getMessage('Date'); ?></label>
                                    <input id="Deduction_Date" name="Deduction_Date" class="form-control" value="<?php echo !empty($data['Date']) ? $data['Date'] : $today; ?>" />
                                    <span class="input-group-addon " ><i class="fa fa-calendar"></i></span>
                                </div>
                                <div class="input-group-btn DropDownForForms Closable" id="CurrencyDropDown">
                                    <button type="button" class="btn btn-success btn-block dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
                                        <span><strong><?php print (!empty($data['Currency_Name']) ?  $data['Currency_Name'].' - '.$data['Currency_Code']  : CommonLanguage::getMessage('Select_Currency')); ?></strong></span>
                                        <input type="hidden" value="<?php echo (!empty($data['Currency_ID']) ? $data['Currency_ID'] :$DefaultCurrencyID); ?>" class="form-control ignore" onkeyup="return false" onkeydown="return false" required/>
                                    </button>
                                    <ul class="dropdown-menu">
<?php echo($currency->GetLIListCurrency()); ?>
                                        <li class="divider"></li>
                                        <li><a class="LoadMore"><?php print CommonLanguage::getMessage('More'); ?>..</a></li>
                                    </ul>
                                </div>
                                <br>
                            </div>
                        </div>
                    </div>
                    <div>
                        <div class="clearfix"></div>
                    </div>
                    <div class="table-responsive">
                        <table class="table m-t-50" id='DeductionTable'>
                            <thead>
                                <tr>
                                    <th class="text-center"><?php print CommonLanguage::getMessage('employee_name'); ?><span class="red-star">*</span></th>
                                    <th class="text-center"><?php print CommonLanguage::getMessage('description'); ?><span class="red-star">*</span></th>
                                    <th class="text-center"><?php print CommonLanguage::getMessage('amount'); ?><span class="red-star">*</span></th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr >
                                    <td><input type="text" class="form-control AutoComplete Employee_Name" data-check="<?php echo $check?>"  data-entry="<?php echo (!empty($data['Entry_id']) ? $data['Entry_id'] :'') ?>" id="Employee_ID" data-id="<?php echo (!empty($data['Employee_ID']) ? $data['Employee_ID'] : "")?>" value="<?php echo (!empty($data['Employee_Name']) ? $data['Employee_Name'] : '')?>"></td>
                                    <td><input type="text" class="form-control" id= "Deduction_Description" value="<?php echo (empty($data['Employee_Note']) ? (!empty($data['Deduction_Description']) ? $data['Deduction_Description'] : '') :$data['Employee_Note'].' ('.CommonLanguage::getMessage('exchange').' '.$data['TimeDuration'].' '.CommonLanguage::getMessage('min').')')?>"></td>
                                    <td><input type="number" min="0" class="form-control Quantity isnumber" id="Deduction_Amount" value="<?php echo (!empty($data['Amount']) ? $data['Amount'] : " ")?>"></td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <br>
                    <div class="container-sm-height" >
                        <button class=" btn btn-success btn-cons m-b-10 pull-right" id="DeductionSubmitButton" style="padding-top: 10px;top: 20px;min-width:253px;" type="button"><i class="pg-form"></i> <span class="bold"><?php print CommonLanguage::getMessage('Save'); ?></span></button>
                    </div>
                    <hr>
                </div>
            </div>
        </div>
    </div>
</form>
<script>
    var Submitted_Successfully = <?php echo json_encode(CommonLanguage::getMessage('Submitted_Successfully')); ?>,
            Required_Fields = <?php echo json_encode(CommonLanguage::getMessage('Required_Fields')); ?>,
            Failed_Submit = <?php echo json_encode(CommonLanguage::getMessage('Failed_Submit')); ?>;
    var current_Employee,
            IsBonus = <?php echo $IsBonus ? "true" : "false"; ?>,
            is_actual = <?php echo json_encode($is_actual); ?>;
    $(function () {

        EnableAutoComplete($("#DeductionTable .AutoComplete.Employee_Name"));
        $("#Deduction_Date").datepicker({autoclose: true}).on("changeDate", function (e) {
            $(this).keyup();
        })
        $("#CurrencyDropDown li").click(function () {
            $(".CurrencyIndicator").html($(this).attr("MySymbol"))
        })
        var Def = $("#CurrencyDropDown li").filter(function () {
            return $(this).attr("value") == $("#CurrencyDropDown input").val()
        })
        if (Def.length > 0) {
            $(".CurrencyIndicator").html(Def.attr("MySymbol"))
            $("> button > span", $("#CurrencyDropDown")).html(Def.text())
        }
        $("#DeductionForm").validate({
            ignore: ".ignore",
            rules: {
                Deduction_Date: {required: true, date: true}
            }
        })
        $("#DeductionSubmitButton").on("click", ApplyPostMethod);
    })

    function EnableAutoComplete(who) {
        if (!who.hasClass("AutoAdded")) {
            who.autocomplete({
                source: is_actual ? 'xhr/ajaxEmployee?hidden=true':'xhr/ajaxEmployee',
                minLength: 0,
                select: function (event, ui) {
                    var TR = $(this).parents("tr");
                    TR.find("input.Employee_Name").val(ui.item.Employee_Name)

                    current_Employee = ui.item.Employee_ID;
                    return false;

                }

            }).focus(function () {
                    $(this).autocomplete("search", $(this).val());
                }).autocomplete("instance")._resizeMenu = function (ul, items) {
                this.menu.element.outerWidth((who.width()) + parseFloat(who.css("padding-left")) + parseFloat(who.css("padding-right")) + 2);
            }
            who.autocomplete("instance")._renderItem = function (ul, item) {
                var MyType = item.Employee_Name;
                return $("<li>").html("<table cellspacing='0' cellpadding='0'><tr><td class='OnlyText'>" + MyType + "</td></tr></table>").appendTo(ul)
            }
            who.addClass("AutoAdded")
        }

    }
    function ApplyPostMethod() {
        if ($("#Deduction_Amount").val() == '' || $("#Deduction_Description").val() == '' || $("#Employee_ID").val() == '') {
            $("#DeductionSuccess").attr("class", "alert alert-danger").html(Required_Fields)
            $(document.body).animate({scrollTop: 0}, 800)
            return;
        }

        Data = {
            url: IsBonus,
            IsBonus:IsBonus,
            Employee_ID: current_Employee ? current_Employee : $('#Employee_ID').attr('data-id') ,
            Deduction_Date: $("#Deduction_Date").val(),
            Currency_ID: $("#CurrencyDropDown input").val(),
            Deduction_Amount: $("#Deduction_Amount").val(),
            Deduction_Description: $("#Deduction_Description").val(),
            Entry_ID : $('#Employee_ID').attr('data-entry'),
            Check_ID : $('#Employee_ID').attr('data-check'),
            is_actual:is_actual
        };
        $("#DeductionDisabler").removeClass('hidden');
        $.ajax({
            url: "HRMAjax/addDeductionrequest",
            method: "POST",
            data: Data,
            complete: function (v1, v2) {
                if (v2 == "success" & v1.responseText=='success') {
                    $("#DeductionSuccess").attr("class", "alert alert-success").html(Submitted_Successfully)
                } else {
                    $("#DeductionSuccess").attr("class", "alert alert-danger").html(v1.responseText)
                }

                $(document.body).animate({scrollTop: 0}, 800)
                $("#DeductionDisabler").addClass('hidden');
            }
        })

    }

</script>