<style>
    .available-cert {
        background-color: green;
        color: white;
    }

    .future-cert {
        background-color: blue;
        color: white;
    }

    .expiry-cert {
        background-color: red;
        color: white;
    }

</style>
<div class="container-fluid container-fixed-lg bg-white">
    <div class="panel panel-transparent">
        <div class="panel-heading">
            <div class="panel-title"><?php print CommonLanguage::getMessage('customer_branch') ?></div>
            <div class="row form-group">
                <div class="col-md-3">
                    <label><?php echo CommonLanguage::getMessage('customer_name') ?></label>
                    <input type="hidden" id="search_customer_id" name="search_customer_id" class="full-width"  value="<?php echo ($is_select && !empty($vars['customer_id'])) ? $vars['customer_id'] : ''; ?>" data-select-name="<?php echo ($is_select && !empty($vars['customer_name'])) ? $vars['customer_name'] : ''; ?>">
                </div>
                <?php
                    echo Forms::ModalLoader('DeleteModalIsBusy');
                    if ($permissions->hasPermission('add_customer_branch')) {
                        echo Forms::FloatingAddButton('0c586a', '#EditCustomerBranch', CommonLanguage::getMessage('add'));
                    }
                ?>
            </div>
        </div>
        <div class="panel-body">
            <div id="ScaleListAlert"></div>
            <div class="row">
                <div class="col-md-12 table-responsive">
                    <table class="table table-bordered inventory" id="tableWithSearch">
                        <thead>
                            <th class="text-center" style="width:10%"><?php print CommonLanguage::getMessage('customer_name'); ?></th>
                            <th class="text-center" style="width:10%"><?php print CommonLanguage::getMessage('customer_branch_name'); ?></th>
                            <th class="text-center" style="width:10%"><?php print CommonLanguage::getMessage('Action'); ?></th>
                        </thead>
                        <tbody>
                        </tbody>
                    </table>
                </div>
            </div>
            <?php echo Forms::ModalLoader('scaleListLoader'); ?>
        </div>
    </div>
</div>

<div class="modal fade bs-example-modal-md" data-backdrop="static" id="DeleteFromList" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-sm">
        <div class="modal-content">
            <div class="modal-header text-left">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true"><i class="pg-close fs-20"></i>
                </button>
                <h5 class="add-label bold"><?php echo CommonLanguage::getMessage('Confirm_Delete'); ?></h5>
                <div id="Delete_modalAlert"><span></span></div>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-md-12">
                        <p><?php print CommonLanguage::getMessage('Proceed_Delete'); ?></p>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal"><?php print CommonLanguage::getMessage('Close'); ?></button>
                <button type="button" class="btn btn-danger" id="ConfirmDelete" style="width:auto"><?php print CommonLanguage::getMessage('delete'); ?></button>
            </div>
        </div>
    </div>
</div>
<div class="modal fade stick-up " id="EditCustomerBranch" tabindex="-1" role="dialog" aria-hidden="true">
    <div class="modal-dialog " style="width:60%;margin:0 auto">
        <div class="modal-content">
            <div class="modal-header clearfix text-left">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true"><i class="pg-close fs-20"></i>
                </button>
                <h5 class="add-label bold"><?php echo CommonLanguage::getMessage('Edit'); ?></h5>
                <div id="EditScaleAlert"></div>
            </div>
            <div class="modal-body">
                <form id="EditScalePostForm" method="POST" onsubmit="return false">
                    <div class="row form-group">
                        <div class="col-md-6">
                            <label><?php echo CommonLanguage::getMessage('customer_name') ?> <span class="red-star">*</span></label>
                            <input type="hidden" id="customer_id" name="customer_id" class="full-width" required value="<?php echo ($is_select && !empty($vars['customer_id'])) ? $vars['customer_id'] : ''; ?>" data-select-name="<?php echo ($is_select && !empty($vars['customer_name'])) ? $vars['customer_name'] : ''; ?>">
                        </div>
                        <div class="col-md-6">
                            <label><?php echo CommonLanguage::getMessage('customer_branch_name') ?> <span class="red-star">*</span></label>
                            <input type="text" placeholder="Name" id="customer_branch_name" name="customer_branch_name" class="form-control " required="">
                        </div>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button class="btn btn-default" id="CloseEdit" data-dismiss="modal"> <?php print CommonLanguage::getMessage('Close'); ?> </button>
                <button class="btn btn-primary" id="SubmitEntry"> <?php print CommonLanguage::getMessage('Save'); ?> </button>
            </div>
            <?php echo Forms::ModalLoader('AjaxIsBusy') ?>
        </div>
    </div>
</div>
<div class="modal fade bs-example-modal-md" id="ResetScaleModal" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-sm">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true"><i class="pg-close fs-20"></i>
                </button>
                <h5 class="add-label bold"><?php echo CommonLanguage::getMessage('confirm_reset'); ?></h5>
                <div id="Reset_modalAlert"><span></span></div>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-md-12 ">
                        <p><?php print CommonLanguage::getMessage('Proceed_Delete'); ?></p>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal"><?php print CommonLanguage::getMessage('Close'); ?></button>
                <button type="button" class="btn btn-danger" id="ConfirmReset" style="width:auto"><?php print CommonLanguage::getMessage('reset'); ?></button>
            </div>
            <?php echo Forms::ModalLoader('ResetModalIsBusy') ?>
        </div>
    </div>
</div>
<script>
    var Failed_Submit = <?php echo json_encode(CommonLanguage::getMessage('Failed_Submit')); ?>,
        Required_Fields = <?php echo json_encode(CommonLanguage::getMessage('Required_Fields')); ?>,
        Data_Exists = <?php echo json_encode(CommonLanguage::getMessage('Data_Exists')); ?>,
        AddLang = <?php echo json_encode(CommonLanguage::getMessage('add')); ?>,
        EditLang = <?php echo json_encode(CommonLanguage::getMessage('Edit')); ?>,
        title = <?php echo json_encode(CommonLanguage::getMessage('general_setting')); ?>,
        Submitted_Successfully = <?php echo json_encode(CommonLanguage::getMessage('Submitted_Successfully')); ?>;
    var ToDelete, TRtoEdit, ToReset, ipToReset, IfEdit = false;
    $(function() {
        
        build_select2($("#search_customer_id"), "xhr/customerSearch")
        build_select2($("#customer_id"), "xhr/customerSearch")
        
        ChangeTable()

        $("#search_customer_id").on('change',function(){
            ChangeTable();
        });

        $('#tableWithSearch').on('click', '.Action .Delete', function() {
            $("#DeleteFromList").modal("show")
            ToDelete = $(this).parents("tr").find(".Action").attr('data-id');
        })
        $("#ConfirmDelete").on("click", function() {
            $("#DeleteModalIsBusy").removeClass('hidden')
            var dataToDelete = {
                id: ToDelete
            };
            $.ajax({
                type: 'POST',
                url: 'InventoryAjax/delete_customer_branch',
                data: dataToDelete,
                complete: function(data, vv) {
                    if (vv == "success") {
                        if (data.responseText == 'OK') {
                            $("#Delete_modalAlert").addClass("alert alert-success").show().html(Submitted_Successfully);
                            ChangeTable()
                            setTimeout(function() {
                                $("#DeleteFromList").modal("hide")
                                $("#Delete_modalAlert").hide()
                            }, 1000)
                        } else {
                            $("#Delete_modalAlert").addClass("alert alert-danger").show().html(Failed_Submit);
                        }
                    } else {
                        $("#Delete_modalAlert").addClass("alert alert-danger").show().html(Failed_Submit);
                    }
                    $("#DeleteModalIsBusy").addClass('hidden')
                }
            });
        })
        $('.actionButton ').on("click", function() {
            IfEdit = false;
        })
        $('#tableWithSearch').on('click', '.Action .Edit', function() {
            
            IfEdit = true;
            TRtoEdit = $(this).parents('tr').find('.Action').attr('data-id');
            console.log('TRtoEdit')
            console.log(TRtoEdit)

            $.ajax({
                type: 'GET',
                url: 'InventoryAjax/get_customer_branch',
                data: {
                    id: TRtoEdit
                },
                dataType: 'json',
                complete: function(v1, v2) {
                    console.log('v1')
                    console.log(v1)
                    if (v2 == "success") {
                        var data = v1.responseJSON;         
                        $("#customer_branch_name").val(data['customer_branch_name'])    
                        $("#customer_id").val(data['customer_id']).attr("data-select-name", data['Customer_Name'])
                        build_select2($("#customer_id"), "xhr/customerSearch")

                        $("#EditCustomerBranch").modal("show")
                    }
                }
            })

        })
        $("#SubmitEntry").on("click", function() {
            if ($("#customer_id").val() == '' || $("#customer_branch_name").val() == '') {
                $("#EditScaleAlert").attr("class", "alert alert-danger").show().html(Required_Fields);
                return false;
            }
            $("#AjaxIsBusy").removeClass('hidden')
            var dataToEdit = {  
                customer_branch_name: $("#customer_branch_name").val(),
                customer_id : $('#customer_id').val(),
            }
            if (IfEdit) {
                dataToEdit.id = TRtoEdit;
            }
            $.ajax({
                type: 'POST',
                url: IfEdit ? 'InventoryAjax/update_customer_branch' : 'InventoryAjax/add_customer_branch',
                data: dataToEdit,
                complete: function(data, vv) {
                    console.log('data')
                    console.log(data)
                    if (vv == "success") {
                        if (data.responseText !== 'error') {
                            if (data.responseText == 'OK') {
                                $("#EditScaleAlert").attr("class", "alert alert-success").show().html(Submitted_Successfully);
                                
                                setTimeout(function() {
                                    $("#EditScaleAlert").hide();
                                    $("#ResetScaleModal").modal("hide")
                                    $("#EditCustomerBranch").modal("hide")
                                }, 1500)
                                ChangeTable()
                                $("#AjaxIsBusy").addClass('hidden')
                            }
                        } else {
                            $("#EditScaleAlert").attr("class", "alert alert-danger").show().html(Failed_Submit);
                        }
                    }
                }
            });
        })
    })

    function ChangeTable() {
        var Data = {
            search_customer_id: $("#search_customer_id").val()
        }
        RebuildDataTable(title, [0, 1], 'InventoryAjax/CustomerBranchList', Data);
    }
    
</script>