
<style>
    .table thead tr >th{
        background-color: #0c586a;
        color:#fff;
    }
    .table thead tr th[class*='sorting_'] {
        color: #FFFFFF;
    }
    .bg-master-lighter {
        border:none;
        background-color:#fff;
        border-top:1px solid #ddd; 

    }
    .datepicker thead tr .dow {
        color:#2f879c !important;
    }
    .datepicker table tr td.day:hover {
        background: #2f879c !important;
        color:#fff;
    }
    .datepicker table tr td.active {
        background-color: #2f879c !important;
    }
    .datepicker thead tr .datepicker-switch {
        color: #2f879c  !important;
        font-size: 13px;
    }
    .datepicker table tr td span.active {
        background-color: #2f879c !important;
    }
    .datepicker table tr td span:hover {
        background-color: #2f879c !important;
        color:#fff;
    }
    datepicker thead tr .next:before, .datepicker thead tr .prev:before {
        color: #2f879c !important;
        font-family: 'FontAwesome';
        font-size: 10px;
    }
    .datepicker thead tr .next:before, .datepicker thead tr .prev:before {
        color: #2f879c !important;
        font-family: 'FontAwesome';
        font-size: 10px;
    }
</style>
<div class="container-fluid container-fixed-lg bg-white">
    <div class="panel panel-transparent">
        <div class="panel-heading">
            <div class="panel-title"> <?php print CommonLanguage::getMessage('Transfer_List'); ?></div>
            <div class="col-md-12">
                <div class="row">

                    <div class="col-md-3">
                        <label><?php echo CommonLanguage::getMessage('Date') ?></label>
                        <input id="ConfirmRequest_List_Date" type="text" class="form-control" name="From_To_Date" >

                    </div>
                </div>
            </div>
            <div class="clearfix"></div>
        </div>
        <div class="panel-body" >
            <table class="table table-bordered table-hover demo-table-search" id="tableWithSearch" >
                <thead>
                    <tr>
                        <th class="text-center">#</th>
                        <th class="text-center"  ><?php print CommonLanguage::getMessage('From'); ?></th>
                        <th class="text-center" ><?php print CommonLanguage::getMessage('To'); ?></th>
                        <th class="text-center" ><?php print CommonLanguage::getMessage('Action'); ?></th>
                    </tr>
                </thead>
                <tbody>
                </tbody>
            </table>


        </div>
    </div>
</div>

<script>
    var title = <?php echo json_encode(CommonLanguage::getMessage('Transfer_List')); ?>;
    var today = <?php echo json_encode($today) ?>;
    var startDate = today, endDate = today;
    $(function () {
        RebuildDataTable(title, [0, 1, 2], 'StockAjax/TransferListRequest', {from_date: startDate, to_date: endDate});
        $("input[name=From_To_Date]").daterangepicker({
            ranges: {
                'Today': [moment(), moment()],
                'Yesterday': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                'Last 7 Days': [moment().subtract(6, 'days'), moment()],
                'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                'This Month': [moment().startOf('month'), moment().endOf('month')],
                'Last Month': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
            }
        }, function (start, end, label) {
            window.startDate = start.format("YYYY-MM-DD"),
                    window.endDate = end.format("YYYY-MM-DD");
            RebuildDataTable(title, [0, 1, 2], 'StockAjax/TransferListRequest', {from_date: startDate, to_date: endDate});
        });
    });


</script>