// Convert numbers to words
// copyright 25th July 2006, by Stephen Chapman http://javascript.about.com
// permission to use this Javascript on your web page is granted
// provided that all of the code (including this copyright notice) is
// used exactly as shown (you can change the numbering system if you wish)

// American Numbering System

var lang = $('html').attr('lang');
var th =  lang == 'en' ? ['','thousand','million', 'billion','trillion'] : ['', 'ألف', 'مليون', 'مليار', 'تريليون'];
// uncomment this line for English Number System
// var th = ['','thousand','million', 'milliard','billion'];

var dg = lang == 'en' ? ['zero','one','two','three','four', 'five','six','seven','eight','nine'] : ['صفر','واحد','إثنان','ثلاثة','أربعة','خمسة','ستة','سبعة','ثمانية','تسعة']; 
var tn = lang == 'en' ? ['ten','eleven','twelve','thirteen', 'fourteen','fifteen','sixteen', 'seventeen','eighteen','nineteen']:['عشرة', 'أحد عشر', 'اثني عشر', 'ثلاثة عشر', 'أربعة عشر', 'خمسة عشر', 'ستة عشر', 'سبعة عشر', 'ثمانية عشر', 'تسعة عشر']; 
var tw = lang == 'en' ? ['twenty','thirty','forty','fifty', 'sixty','seventy','eighty','ninety']:['العشرين', 'ثلاثون', 'الأربعين', 'خمسين', 'ستين', 'السبعين', 'ثمانين', 'تسعين']; 

var hun = lang == 'en' ? 'hundred ':'مائة';
var pint = lang == 'en' ? 'point ':'نقطة';
function toWords(s){
    
    
    
s = s.toString(); s = s.replace(/[\, ]/g,''); if (s != parseFloat(s)) return 'not a number'; 
var x = s.indexOf('.'); if (x == -1) x = s.length; if (x > 15) return 'too big'; 
var n = s.split(''); var str = ''; var sk = 0; for (var i=0; i < x; i++) {if ((x-i)%3==2) {if (n[i] == '1') {str += tn[Number(n[i+1])] + ' '; i++; sk=1;} else if (n[i]!=0) {str += tw[n[i]-2] + ' ';sk=1;}} else if (n[i]!=0) {str += dg[n[i]] +' '; if ((x-i)%3==0) str += hun;sk=1;} if ((x-i)%3==1) {if (sk) str += th[(x-i-1)/3] + ' ';sk=0;}} if (x != s.length && parseFloat((s % 1).toFixed(4)) != 0) {var y = s.length; str += pint; for (var i=x+1; i<y; i++) str += dg[n[i]] +' ';} return str.replace(/\s+/g,' ');}
    

    
    
    
    
