<style>
	#tableWithSearch thead tr >th{
		background-color:#0c586a;
		width:16% !important;
		color:#fff;
	}
	#tableWithSearch thead tr th[class*='sorting_'] {
		color: #fff;
	}
	.bg-master-lighter {
		border:none;
		background-color:#fff;
		border-top:1px solid #ddd;  
	}

	
	
</style>
<script src="<?php echo THEME_PATH; ?>/plugins/moment/moment.min.js"></script>

<div class="container-fluid container-fixed-lg bg-white">
	<div class="panel panel-transparent">
		<div class="panel-heading">
			<div class="panel-title"><?php print CommonLanguage::getMessage('transfer_jv_list');?></div>

<div class=" input-group col-md-3" >
                            <span class="input-group-addon bg-complete"><i class="fa fa-calendar"></i></span>
                            <input id="From_To_Date" type="text" class="form-control" name="From_To_Date" >
                        </div> 

			<div class="clearfix"></div>
		</div>
		<div class="panel-body">
			<table class="table table-bordered table-hover demo-table-search" id="tableWithSearch">
				<thead>
					<tr>
						<th class="text-center" ><?php print CommonLanguage::getMessage('old_jv');?></th>
						<th class="text-center" ><?php print CommonLanguage::getMessage('new_jv');?></th>
						<th class="text-center" ><?php print CommonLanguage::getMessage('Date');?></th>
						<th class="text-center" ><?php print CommonLanguage::getMessage('Description');?></th>
						<th class="text-center" ><?php print CommonLanguage::getMessage('Employee');?></th>
					</tr>
				</thead>
				<tbody>
	
				</tbody>
			</table>
		</div>


	</div>
</div>
<nav class="navbar navbar-default bg-master-lighter sm-padding-10" role="navigation">
	<div class="container-fluid">
		<div class="collapse navbar-collapse" id="sub-nav">
			<div class="row"> 
				<div class="col-sm-4 ">
					<ul class="nav navbar-nav navbar-center">
						<li><a href="#" data-toggle="tooltip" title="Print" class="PrintThisTableButton" data-table="#tableWithSearch" data-date="<?php echo $today?>" data-title="Transfer JV List"><i class="fa fa-print"></i></a></li>
						<li><a href="#" data-toggle="tooltip" data-placement="top" title="Download"><i class="fa fa-download"></i></a></li>
					</ul>
				</div>

			</div>
		</div>
	</div>
</nav>
<script>
//    var title = <?php echo json_encode(CommonLanguage::getMessage('transfer_jv_list'));?>;
    var startDate, endDate, title = <?php echo json_encode(CommonLanguage::getMessage('transfer_jv_list')); ?>;
    var today = <?php echo json_encode($today) ?>;
	$(function(){ 
            ChangeTable();
              $("input[name=From_To_Date]").daterangepicker({
        }, function (start, end, label) {
            window.startDate = start.format("YYYY-MM-DD"),
                    window.endDate = end.format("YYYY-MM-DD")

            ChangeTable();

        });

	})
	function ChangeTable(){
            var DataArr = {
                Transfer_Date_From : window.startDate ? window.startDate : today,
                    Transfer_Date_To : window.endDate ? window.endDate : today
            };

            RebuildDataTable(title,[0,1,2,3,4,5],'ACCAjax/transferJVListRequest',DataArr);
         
		
	}

</script>