<style>
    .available-cert {
        background-color: green;
        color: white;
    }

    .future-cert {
        background-color: blue;
        color: white;
    }

    .expiry-cert {
        background-color: red;
        color: white;
    }

</style>
<div class="container-fluid container-fixed-lg bg-white">
    <div class="panel panel-transparent">
        <div class="panel-heading">
            <div class="panel-title"><?php print CommonLanguage::getMessage('cities') ?></div>
            <div class="row form-group">
            <div class="col-md-3">
                    <label><?php echo CommonLanguage::getMessage('country') ?></label>
                <input type="hidden" value="<?php echo smc_session()['default_country']['Code'] ?>"
                    data-select-name="<?php echo smc_session()['default_country']['Country_Name'] ?>" name="Country_ID"
                    id="Country_ID" class="full-width" />
            
            
            </div>
            <?php
                echo Forms::ModalLoader('DeleteModalIsBusy');
             
                echo Forms::FloatingAddButton('0c586a', '#EditCities', CommonLanguage::getMessage('add'));
            ?>
            
            </div>
        </div>
        <div class="panel-body">
            <div id="ScaleListAlert"></div>
            <div class="row">
                <div class="col-md-12 table-responsive">
                    <table class="table table-bordered inventory" id="tableWithSearch">
                        <thead>
                            <th class="text-center" style="width:10%"><?php print CommonLanguage::getMessage('city_name'); ?></th>
                            <th class="text-center" style="width:10%"><?php print CommonLanguage::getMessage('country_name'); ?></th>
                            <th class="text-center" style="width:10%"><?php print CommonLanguage::getMessage('Action'); ?></th>
                        </thead>
                        <tbody>
                        </tbody>
                    </table>
                </div>
            </div>
            <?php echo Forms::ModalLoader('scaleListLoader'); ?>
        </div>
    </div>
</div>

<div class="modal fade bs-example-modal-md" data-backdrop="static" id="DeleteFromList" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-sm">
        <div class="modal-content">
            <div class="modal-header text-left">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true"><i class="pg-close fs-20"></i>
                </button>
                <h5 class="add-label bold"><?php echo CommonLanguage::getMessage('Confirm_Delete'); ?></h5>
                <div id="Delete_modalAlert"><span></span></div>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-md-12">
                        <p><?php print CommonLanguage::getMessage('Proceed_Delete'); ?></p>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal"><?php print CommonLanguage::getMessage('Close'); ?></button>
                <button type="button" class="btn btn-danger" id="ConfirmDelete" style="width:auto"><?php print CommonLanguage::getMessage('delete'); ?></button>
            </div>
        </div>
    </div>
</div>
<div class="modal fade stick-up " id="EditCities" tabindex="-1" role="dialog" aria-hidden="true">
    <div class="modal-dialog " style="width:60%;margin:0 auto">
        <div class="modal-content">
            <div class="modal-header clearfix text-left">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true"><i class="pg-close fs-20"></i>
                </button>
                <h5 class="add-label bold"><?php echo CommonLanguage::getMessage('add'); ?></h5>
                <div id="EditScaleAlert"></div>
            </div>
            <div class="modal-body">
                <form id="EditScalePostForm" method="POST" onsubmit="return false">
                    <div class="row form-group">
                        <div class="col-md-6">
                            <label><?php echo CommonLanguage::getMessage('city_name') ?> <span class="red-star">*</span></label>
                            <input type="text" placeholder="Name" id="City_Name" name="City_Name" class="form-control " required="">
                        </div>
 
                     <div class="col-md-6">
                        <label><?php echo CommonLanguage::getMessage('country_name') ?> <span class="red-star">*</span></label>
                        <input id="country_name" name="country_name" class="full-width" type="hidden" value="<?php echo smc_session()['default_country']['Code'] ?>"
                            data-select-name="<?php echo smc_session()['default_country']['Country_Name'] ?>"
                             />
                     </div> 

                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button class="btn btn-default" id="CloseEdit" data-dismiss="modal"> <?php print CommonLanguage::getMessage('Close'); ?> </button>
                <button class="btn btn-primary" id="SubmitEntry"> <?php print CommonLanguage::getMessage('Save'); ?> </button>
            </div>
            <?php echo Forms::ModalLoader('AjaxIsBusy') ?>
        </div>
    </div>
</div>
<div class="modal fade bs-example-modal-md" id="ResetScaleModal" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-sm">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true"><i class="pg-close fs-20"></i>
                </button>
                <h5 class="add-label bold"><?php echo CommonLanguage::getMessage('confirm_reset'); ?></h5>
                <div id="Reset_modalAlert"><span></span></div>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-md-12 ">
                        <p><?php print CommonLanguage::getMessage('Proceed_Delete'); ?></p>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal"><?php print CommonLanguage::getMessage('Close'); ?></button>
                <button type="button" class="btn btn-danger" id="ConfirmReset" style="width:auto"><?php print CommonLanguage::getMessage('reset'); ?></button>
            </div>
            <?php echo Forms::ModalLoader('ResetModalIsBusy') ?>
        </div>
    </div>
</div>
<script>
    var Failed_Submit = <?php echo json_encode(CommonLanguage::getMessage('Failed_Submit')); ?>,
        Required_Fields = <?php echo json_encode(CommonLanguage::getMessage('Required_Fields')); ?>,
        Data_Exists = <?php echo json_encode(CommonLanguage::getMessage('Data_Exists')); ?>,
        AddLang = <?php echo json_encode(CommonLanguage::getMessage('add')); ?>,
        EditLang = <?php echo json_encode(CommonLanguage::getMessage('Edit')); ?>,
        title = <?php echo json_encode(CommonLanguage::getMessage('general_setting')); ?>,
        Submitted_Successfully = <?php echo json_encode(CommonLanguage::getMessage('Submitted_Successfully')); ?>;
    var ToDelete, TRtoEdit, ToReset, ipToReset, IfEdit = false;
    $(function() {

        build_select2($("#Country_ID"), "xhr/CommonSearch?col_id=Code&col_name=Country_Name&table=tbl_all_countries");

        build_select2($(".Class_ID"), "xhr/PricingClassSearch")
       // build_select2($('#Code'), 'xhr/countrySearch');
        // build_select2($('#country_name'), 'xhr/countrySearch');

       //build_select2($("#Code"), "xhr/CommonSearch?col_id=Code&col_name=Country_Name&table=tbl_all_countries");
       build_select2($("#country_name"), "xhr/CommonSearch?col_id=Code&col_name=Country_Name&table=tbl_all_countries");
       ChangeTable()

        var data_session = get_storage_element(page_link);
        if (data_session.branch_name != '') {
            $("#current_branch_id").val(data_session.branch_id).attr("data-select-name", data_session.branch_name)
        }
        if (data_session.person_name != '') {
            $("#customer_supplier_id").val(data_session.customer_supplier_id).attr("data-select-name", data_session.person_name)
        }
        if (data_session.Date != '') {
            window.startDate = data_session.from_date;
            window.endDate = data_session.to_date;
            $("input[name=From_To_Date]").val(data_session.Date)
        }
        $("input[name=From_To_Date]").daterangepicker({
            ranges: {
                'Today': [moment(), moment()],
                'Yesterday': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                'Last 7 Days': [moment().subtract(6, 'days'), moment()],
                'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                'This Month': [moment().startOf('month'), moment().endOf('month')],
                'Last Month': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
            },
            locale: {
                cancelLabel: 'Clear'
            },
            allowEmpty: false,
            autoUpdateInput: false
        });

        $("input[name=From_To_Date]").on('apply.daterangepicker', function(ev, picker) {
            window.startDate = picker.startDate.format('YYYY-MM-DD'),
                window.endDate = picker.endDate.format('YYYY-MM-DD');
            $(this).val(picker.startDate.format('YYYY-MM-DD') + ' - ' + picker.endDate.format('YYYY-MM-DD'));
            ChangeTable();
        });
        $("input[name=From_To_Date]").on('cancel.daterangepicker', function(ev, picker) {
            window.startDate = ''
            window.endDate = ''
            $(this).val('');
            ChangeTable();
        });

        $("#Country_ID").on('change',function(){
            ChangeTable();
        });

        $('#tableWithSearch').on('click', '.Action .Delete', function() {
            $("#DeleteFromList").modal("show")
            ToDelete = $(this).parents("tr").find(".Action").attr('data-id');
        })
        $("#ConfirmDelete").on("click", function() {
            $("#DeleteModalIsBusy").removeClass('hidden')
            var dataToDelete = {
                id: ToDelete
            };
            $.ajax({
                type: 'POST',
                url: 'InventoryAjax/deleteCities',
                data: dataToDelete,
                complete: function(data, vv) {
                    if (vv == "success") {
                        if (data.responseText == 'OK') {
                            $("#Delete_modalAlert").addClass("alert alert-success").show().html(Submitted_Successfully);
                            ChangeTable()
                            setTimeout(function() {
                                $("#DeleteFromList").modal("hide")
                                $("#Delete_modalAlert").hide()
                            }, 1000)
                        } else {
                            $("#Delete_modalAlert").addClass("alert alert-danger").show().html(Failed_Submit);
                        }
                    } else {
                        $("#Delete_modalAlert").addClass("alert alert-danger").show().html(Failed_Submit);
                    }
                    $("#DeleteModalIsBusy").addClass('hidden')
                }
            });
        })
        $('.actionButton ').on("click", function() {
            IfEdit = false;
        })
        $('#tableWithSearch').on('click', '.Action .Edit', function() {
            
            IfEdit = true;
            TRtoEdit = $(this).parents('tr').find('.Action').attr('data-id');
            console.log('TRtoEdit')
            console.log(TRtoEdit)

            $.ajax({
                type: 'GET',
                url: 'InventoryAjax/get_cities',
                data: {
                    id: TRtoEdit
                },
                dataType: 'json',
                complete: function(v1, v2) {
                    console.log('v1')
                    console.log(v1)
                    if (v2 == "success") {
                        var data = v1.responseJSON;         
                        $("#City_Name").val(data['Name'])    
                        //$("#Code").val(data['CountryCode'])
                        
                      //  $("#Code").val(data['CountryCode']).attr("data-select-name", data['Country_Name'])
                      //  build_select2($("#Code"), "xhr/CountriesSearch")

                      $("#country_name").val(data['CountryCode']).attr("data-select-name", data['Country_Name'])
                       build_select2($("#country_name"), "xhr/CommonSearch?col_id=Code&col_name=Country_Name&table=tbl_all_countries");

                        $("#EditCities").modal("show")
                    }
                }
            })

        })
        $("#SubmitEntry").on("click", function() {
            if ($("#scale_name").val() == '' || $("#scale_ip").val() == '' || $("#scale_type").val() == '') {
                $("#EditScaleAlert").attr("class", "alert alert-danger").show().html(Required_Fields);
                return false;
            }
            $("#AjaxIsBusy").removeClass('hidden')
            var dataToEdit = {  
               // id : $("#ID").val(),       
                city_name: $("#City_Name").val(),
                country_name : $('#country_name').val(),
            }
            if (IfEdit) {
                dataToEdit.id = TRtoEdit;
            }
            $.ajax({
                type: 'POST',
                url: IfEdit ? 'InventoryAjax/updateCities' : 'InventoryAjax/addCities',
                data: dataToEdit,
                complete: function(data, vv) {
                    console.log('data')
                    console.log(data)
                    if (vv == "success") {
                        if (data.responseText !== 'error') {
                            if (data.responseText == 'OK') {
                                $("#EditScaleAlert").attr("class", "alert alert-success").show().html(Submitted_Successfully);
                                ChangeTable()
                                setTimeout(function() {
                                    $("#EditResidenceCountry").modal("hide")
                                    $("#EditScaleAlert").hide();
                                }, 1000)
                                $("#AjaxIsBusy").addClass('hidden')
                            }
                        } else {
                            $("#EditScaleAlert").attr("class", "alert alert-danger").show().html(Failed_Submit);
                        }
                    }
                }
            });
        })
    })

    function ChangeTable() {

        var Data = {
            Country_ID: $("#Country_ID").val()
        }
        RebuildDataTable(title, [0, 1], 'InventoryAjax/CitiesList', Data);

    }
</script>