<style type="text/css">
    /*
    .input-group-addon.complete {
    background-color:#0c586a;
    color: #ffffff;
    }
    */
    #OverTimeTable thead tr th {
        color: #555;
        border-bottom: 1px solid rgba(0, 0, 0, 0.1);
    }

    #OverTimeTable tbody tr td input {
        width: 100%;
        margin: 0;
        border: 1px solid rgba(0, 0, 0, 0.02);
        background-color: #e5e5e5;
    }

    #OverTimeTable tbody tr td {
        border: 0;
        padding: 3px 1px;
        position: relative;
    }

    #OverTimeTable tbody tr:first-child td {
        padding-top: 10px;
    }

    #InvoiceDiscountInput {
        display: inline-block;
        width: 40px;
        padding: 3px;
        line-height: 20px;
        background: rgb(250, 250, 250);
        min-height: 12px;
        text-align: center;
        height: 25px;
        font-size: 12px;
        top: -2px;
        position: relative;
        margin: 0 3px;
    }

    #OverTimeTable .Hint {
        position: absolute;
        font-size: 10px;
        font-weight: bold;
        height: 20px;
        line-height: 20px;
        bottom: 2px;
        right: 4px;
        color: rgb(153, 153, 153);
    }

    #OverTimeTable .TotalTD {
        width: auto;
        display: inline-block;
        text-align: center;
        font-size: 20px;
        font-weight: bold;
    }

    #OverTimeTable .Disc {
        width: 50px;
    }

    #OverTimeTable input.wrong {
        border: 1px solid rgba(255, 0, 0, 0.2);
        background: rgba(255, 0, 0, 0.05);
    }

    .DropDownForForms>.dropdown-menu {
        width: 100%;
        height: 200px;
        max-height: 200px;
        overflow-y: scroll;
    }

    .DropDownForForms>.dropdown-menu {
        height: auto;
        cursor: pointer;
        overflow-y: auto;
    }

    .DropDownForForms>button {
        position: relative;
        z-index: 999;
    }

    .DropDownForForms>button>input {
        position: absolute;
        left: 5;
        top: 0;
        width: 90%;
        cursor: pointer;
        -webkit-user-select: none;
        -moz-user-select: none;
        user-select: none;
        padding: 0;
        border: 0;
        background: transparent;
    }

    .Disabled {
        cursor: default;
        opacity: 0.5;
    }

    #AdvanceValue {
        width: 102px;
        display: inline-block;
    }

    .datepicker thead tr .dow {
        color: #0c586a !important;
    }

    .datepicker table tr td.day:hover {
        background: #0c586a !important;
        color: #fff;
    }

    .datepicker table tr td.active {
        background-color: #0c586a !important;
    }

    .datepicker thead tr .datepicker-switch {
        color: #0c586a !important;
        font-size: 13px;
    }

    .datepicker table tr td span.active {
        background-color: #0c586a !important;
    }

    .datepicker table tr td span:hover {
        background-color: #0c586a !important;
        color: #fff;
    }

    datepicker thead tr .next:before,
    .datepicker thead tr .prev:before {
        color: #0c586a !important;
        font-family: 'FontAwesome';
        font-size: 10px;
    }

    .datepicker thead tr .next:before,
    .datepicker thead tr .prev:before {
        color: #0c586a !important;
        font-family: 'FontAwesome';
        font-size: 10px;
    }

    .input-group-addon {
        background-color: #0c586a !important;
        color: #fff;
    }

    form .row [class*='col-']:first-child {
        padding-left: 7px;
        padding-right: 7px;
    }
</style>
<!--< ?php echo "<pre>";die(print_r($shift_details));?>-->
<div class="container-fluid container-fixed-lg bg-white">
    <div class="panel panel-transparent">
        <div class="panel-heading">
            <?php echo Forms::ModalLoader('AddShiftIsBusy') ?>
            <div class="modal-header clearfix text-left">
                <h5><span class="semi-bold"><?php echo CommonLanguage::getMessage("update_template"); ?> </span></h5>

            </div>
            <div class="modal-body">
                <div id="AddShiftValidationAlert"></div>
                <form id="AddShiftPostForm" method="POST" onsubmit="return false">
                    <div class="row">
                        <div class="col-md-12" style="margin-left:5px;">

                        <div class="col-md-3 form-group">
                                <label><?php echo CommonLanguage::getMessage('Type'); ?></label>
                                <select id="empty_type" name="empty_type" class="full-width" data-init-plugin="select2">
                                    <option value="0"><?php echo CommonLanguage::getMessage('full_empty') ?></option>
                                    <option value="1"><?php echo CommonLanguage::getMessage('sales_empty') ?></option>
                                    <option value="2"><?php echo CommonLanguage::getMessage('purchase_empty') ?></option>
                                    <option value="3"><?php echo CommonLanguage::getMessage('product_empty') ?></option>
                                    <option value="4"><?php echo CommonLanguage::getMessage('delete_sales_invoice') ?></option>
                                    <option value="5"><?php echo CommonLanguage::getMessage('delete_purchase_invoice') ?></option>
                                </select>
                            </div>
                        </div>

                        <div class="col-md-12" id="div_invoice_id" style="margin-left:5px;">
                            <div class="col-md-6 form-group">
                                <label><?php print CommonLanguage::getMessage('invoice_id'); ?></label>
                                <div class="input-group ">
                                    <input type="text" id="invoice_id" name="invoice_id" class="form-control empty">
                                </div>
                            </div>
                        </div>

                    

                        <br><br>
                        <div class="col-md-12 " style="margin-left:10px;margin-top:10px">
                            <div class="col-md-4 pull-right">
                                <button class="btn btn-success " id="SubmitUpdateTemplate"> <?php print CommonLanguage::getMessage('Save'); ?> </button>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
<script>
    var Submitted_Successfully = <?php echo json_encode(CommonLanguage::getMessage('Submitted_Successfully')); ?>,
        Failed_Submit = <?php echo json_encode(CommonLanguage::getMessage('Failed_Submit')); ?>,
        Required_Fields = <?php echo json_encode(CommonLanguage::getMessage('Required_Fields')); ?>;
    $(function() {


 
        $("#div_invoice_id").hide();
        $("#empty_type").on("change", function () {
            var empty_type=$("#empty_type").val();
            if(empty_type == 4 || empty_type == 5) {
                $("#div_invoice_id").show();

            }else{
                $("#div_invoice_id").hide();

            }           
        });

        $("#SubmitUpdateTemplate").on("click", function() {
            var validate = true;
            var days = [],
                rounds = [];
             


            $("#AddShiftIsBusy").removeClass('hidden');
            var Data = {
                empty_type: $("#empty_type").val(),
                invoice_id: $("#invoice_id").val()
            };

            $.ajax({
                url: "SettingsAjax/empty_system",
                method: "POST",
                data: Data,
                complete: function(v1, v2) {
                    if (v2 == 'success') {
                        if (v1.responseText == 'ok') {
                            $("#AddShiftValidationAlert").attr("class", "alert alert-success").empty().html(Submitted_Successfully);

                        } else {
                            $("#AddShiftValidationAlert").attr("class", "alert alert-danger").empty().html(v1.responseText);
                        }
                    } else {
                        $("#AddShiftValidationAlert").attr("class", "alert alert-danger").empty().html(v1.responseText);
                    }
                    $("#AddShiftIsBusy").addClass('hidden');
                }
            });
        });
    })
</script>