<style>
    .table thead tr >th{
        background-color:#0c586a;
        color:#fff;
    }
    .table thead tr th[class*='sorting_'] {
        color: #fff;
    }
    .bg-master-lighter {
        border:none;
        background-color:#fff;
        border-top:1px solid #ddd;  
    }
    .btn-default{
        border: none;
        background-color: #eee;
    }
    .btn-default:hover{
        background-color:#0c586a!important;
        color:#fff;
        border: none;
    }
</style><style>
    .actionButton{
        background-color:#0c586a;
    }
</style>
<div class="container-fluid container-fixed-lg bg-white">
    <div class="panel panel-transparent">
        <div class="panel-heading">
            <div class="panel-title"><?php print CommonLanguage::getMessage('view_shifts'); ?></div>
     <div class="row">
     <div class="col-md-2 pull-right">    
                        <div class="floatingContainer ">
                            <a href="Settings/add_shift_time" >
                                <div class="actionButton" >
                                    <p class="floatingText"><span class="floatingTextBG"><?php echo CommonLanguage::getMessage('Add') ?></span></p>
                                </div>
                            </a>
                        </div>
                    </div>

     </div>
            <div class="clearfix"></div>
        </div>
        <div class="panel-body">
            <table class="table table-bordered table-hover demo-table-search" id="tableWithSearch">
                <thead>
                    <tr>
                        <th class="text-center" ><?php print CommonLanguage::getMessage('Name'); ?></th>
                        <th class="text-center" ><?php print CommonLanguage::getMessage('working_days'); ?></th>
                        <th class="text-center"style="width:10%" ><?php print CommonLanguage::getMessage('Action'); ?></th>
                    </tr>
                </thead>
                <tbody>

                </tbody>
            </table>
        </div>
    </div>
</div>
<div class="modal fade bs-example-modal-md" id="DeleteShiftFromList" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel" aria-hidden="true">
    <div class="modal-dialog" style="width:50%">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
                <h4 class="modal-title"><?php print CommonLanguage::getMessage('Confirm_Delete'); ?></h4>
                <div id="DeleteShift_modalAlert"></div>
            </div>
            <div class="modal-body">
                <form>
                    <div class="row">
                        <div class="col-md-12 ">
                            <div class="col-md-12" style="margin-top: 20px;">
                                <p><?php print CommonLanguage::getMessage('shift_delete'); ?> <strong class="Name"></strong>, </p>
                                <p><?php print CommonLanguage::getMessage('Proceed_Delete'); ?></p>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal"><?php print CommonLanguage::getMessage('Close'); ?></button>
                <button type="button" class="btn btn-danger" id="Shift_Delete" style="width:auto"><?php print CommonLanguage::getMessage('delete'); ?></button>
            </div>
        </div>
    </div>
</div>

<script>
    var Submitted_Successfully = <?php echo json_encode(CommonLanguage::getMessage('Submitted_Successfully')); ?>,
            Failed_Submit = <?php echo json_encode(CommonLanguage::getMessage('Failed_Submit')); ?>,
            title = <?php echo json_encode(CommonLanguage::getMessage('view_shifts')) ?>,
            CurrentShift_ToDelete;
    $(function () {
        RebuildDataTable(title, [0,1,2], 'SettingsAjax/viewUserShifts');
    });

    $("#tableWithSearch").on("click", ".Action .Delete", function () {
        var ShifttName = $(this).parents("tr").find("td:eq(0)").text();//parent tr keep searching till it reach tr 
        $("#DeleteShiftFromList").find(".Name").text(ShifttName).end().modal("show") // to set the name of employee in modal to delete 
        CurrentShift_ToDelete = $(this).parents('div.Action').attr('data-id') // current id to delete

    })
    $("#DeleteShift_modalAlert").hide(); // hide the alert when submit if true or false
    //on click the delete button in modal get the id of the selected employee to delete it 
    $("#Shift_Delete").on("click", function () {
        $.ajax({
            type: 'POST',
            url: 'SettingsAjax/viewUserShifts',
            data: {GetID: CurrentShift_ToDelete},
            complete: function (data, vv) {
                if (vv == "success" && data.responseText == "OK") {
                    RebuildDataTable(title, [0,1,2], 'SettingsAjax/viewUserShifts')
                    $("#DeleteShift_modalAlert").attr("class", "alert alert-success").html(Submitted_Successfully).show();
                    setTimeout(function () {
                        $("#DeleteShiftFromList").modal("hide");
                        $("#DeleteShift_modalAlert").addClass("hidden")
                    }, 1000)
                } else {
                    $("#DeleteShift_modalAlert").attr("class", "alert alert-danger").html(data.responseText).show();
                }
            }
        });
    });
</script>