<div class="modal fade" id="stage_modal" role="dialog" aria-labelledby="ModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-md">
        <div class="modal-content">
            <div class="modal-header text-left">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true"><i class="pg-close fs-20"></i>
                </button>
                <h5 class="add-label h-labels text-left bold hidden"><?php echo CommonLanguage::getMessage('add_stage'); ?></h5>
                <h5 class="edit-label h-labels text-left bold hidden"><?php echo CommonLanguage::getMessage('edit_stage'); ?></h5>
            </div>
            <div class="modal-body">
                <div class="row"><?php echo Forms::AlertDiv('stage_alert'); ?></div>
                <form id="stage_form" method="POST" onsubmit="return false">
                    <input type="hidden" name="stage_id" id="stage_id">
                    <div class="row form-group">
                        <div class="col-md-6">
                            <label for="name-input"><?php print CommonLanguage::getMessage('stage_title'); ?></label>
                            <span class="red-star">*</span>
                            <input type="text" id="stage_title" name="stage_title" class="form-control" required />
                        </div>

                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal"><?php print CommonLanguage::getMessage('cancel'); ?></button>
                <button  id="submit_stage" class="btn bg-complete-dark"><?php print CommonLanguage::getMessage('Save'); ?></button>
            </div>
        </div>
        <?php echo Forms::ModalLoader('stage_loader'); ?>
    </div>
</div>
<script>
    var stage_origin;
    $(function(){
        $(".panel-body").on("click",'#add_stage',function(){
            $("#stage_modal .add-label").removeClass('hidden');
            $("#stage_id").val(0);
        });
        $("#tableWithSearch").on("click",".edit_stage",function(){
            $("#stage_modal .edit-label").removeClass('hidden')
            var stage_id = $(this).attr("data-id")
            $("#stage_id").val(stage_id)
            CommonViewById("xhr/getElement",{rowId:stage_id,rowEntry:'stage_id',table:'tbl_deals_stage'},'#stage_loader',function(response){
                console.log(response)
                var Keys = Object.keys(response[0])
                $.each(Keys, function (key, value) {
                    $('#' + value).val(response[0][value])
                });
            });
        });
        $("#submit_stage").on("click", function () {
            if (!$("#stage_form").valid())
                return;
            $("#stage_loader").removeClass('hidden');
            var Data = new FormData(document.getElementById("stage_form"));
            $.ajax({
                url: "crmAjax/submitStage",
                method: "POST",
                data: Data,
                processData: false,
                contentType: false,
                dataType: "JSON",
                complete: function (jqXHR, status) {
                    if (status == 'success') {
                        if (jqXHR.responseJSON[1] == "success") {
                            RebuildDataTable($('.panel-heading .panel-title').html(),[0,1,2,3,4],'crmAjax/stageList')
                            hideModalAlert('stage_modal', 'stage_alert');
                        }
                        AddAlert("#stage_alert", jqXHR.responseJSON[0], jqXHR.responseJSON[1]);
                    }
                    $("#stage_loader").addClass('hidden');
                }
            });
        });
    });
</script>
