<?php

class Countries {

    public function __construct() {
        $this->db = DBConnectorFactory::loadDriver();
    }

    public function setdata(array $data) {
        $this->info = $data;
        return $this;
    }

    public function getCities($countryId) {
        //$this->db->query("SET NAMES utf8;");
        //$this->db->query("SET CHARACTER_SET utf8;");
        $data = [];
        $query = $this->db->query('
                                    SELECT
                                        b.ID,
                                        b.Name
                                    FROM
                                        tbl_all_countries a
                                    LEFT JOIN
                                    tbl_all_cities b
                                    ON
                                    a.Code = b.CountryCode
                                    WHERE a.Country_ID = "' . $countryId . '"
                                ');
        while ($row = $this->db->assoc($query)) {
            $data[] = $row;
        }
        return $data;
    }

    public function viewCountries() {
        $org_country = smc_session()['org_detail']['Organization_Country'];
        $data = array();
        $query = $this->db->query('SELECT * FROM tbl_all_countries order by ' . (empty($org_country) ? "" : " (`Country_ID` = {$org_country}) desc, ") . ' Country_Name asc');
        while ($row = $this->db->assoc($query)) {
            $data[] = $row;
        }
        return $data;
    }
    public function addResidenceCountry() {

        $this->db->prepare_Stmt('insert into tbl_all_countries (Code,Country_Name,Region,Code2) 
            values (?,?,?,?)',[&$this->info['Code'],&$this->info['Country_Name'],
            &$this->info['Region'],&$this->info['Code2']]);
        $error = $this->db->error();
        return $error;
    }
    
    public function updateResidenceCountry() {
        $this->db->prepare_Stmt('update tbl_all_countries set Code = ?, Country_Name = ?, Region = ?,
        Code2 = ? where Country_ID = ?', [&$this->info['Code'], &$this->info['Country_Name'],
        &$this->info['Region'], &$this->info['Code2'], &$this->info['id']]);
        $error = $this->db->error();
        return $error;
    }

    public function get_residence_country($id) {
        $data = array();
        $query = $this->db->query('select *  from `tbl_all_countries` where country_id = "' . $id . '"');
        $row = $this->db->assoc($query);
        if (!empty($row))
            $data = $row;
        return $data;
    }
    
    public function deleteResidenceCountry() {
        $this->db->prepare_Stmt('delete from tbl_all_countries where Country_ID = ?', [&$this->info['id']]);
        $error = $this->db->error();
        return $error;
    }

    public function addCities() {
        $this->db->prepare_Stmt('insert into tbl_all_cities (Name,CountryCode) 
            values (?,?)',[&$this->info['city_name'],&$this->info['country_name']]);
        $error = $this->db->error();
        return $error;
    }
    
    public function updateCities() {
        $this->db->prepare_Stmt('update tbl_all_cities set Name = ?, CountryCode = ?
         where ID = ?', [&$this->info['city_name'], &$this->info['country_name'], &$this->info['id']]);
        $error = $this->db->error();
        return $error;
    }

    public function get_cities($id) {
        $data = array();
        $query = $this->db->query('select *  from `tbl_all_cities` where ID = "' . $id . '"');
        $row = $this->db->assoc($query);
        $CountryCode = $row['CountryCode'];

        if (!empty($row)){
            $data = $row;
           // $query2 = $this->db->query('select *  from `tbl_all_countries` where Code = "' . $CountryCode . '"');
            $query2 = $this->db->query('select *  from `tbl_all_countries` where Code = "' . $CountryCode .'"');
            $row2 = $this->db->assoc($query2);
            $data['Country_Name'] = $row2['Country_Name'];
        }
        
        return $data;
    }
    
    public function deleteCities() {
        $this->db->prepare_Stmt('delete from tbl_all_cities where ID = ?', [&$this->info['id']]);
        $error = $this->db->error();
        return $error;
    }


 
}
